{ config, pkgs, ...}:

{
  networking.vlans."net-technik-iot" = {
    id = 151;
    interface = "ens18";
  };

  networking.interfaces.net-technik-iot.ipv4.addresses = [
    { address = "10.42.151.1"; prefixLength = 24; }
  ];

  services.kea.dhcp4 = {
    settings = {
      interfaces-config = {
        interfaces = [ "net-technik-iot" ];
      };
      subnet4 = [
        {
          id = 151;
          subnet = "10.42.151.1/24";
          pools = [
            {
              pool = "10.42.151.100 - 10.42.151.240";
            }
          ];
          option-data = [
            {
              name = "routers";
              data = "10.42.151.1";
            }
          ];
        }
      ];
    };
  };

  clerie.forward-filter.interfaces.net-technik-iot.rules = [
    { incomingInterface = "net-ikt"; }
    # Give technik access to their toys
    { incomingInterface = "net-technik"; }
  ];

  clerie.uplink-selector.interfaces.net-technik-iot.uplink = "uplink-b";
}
