{ config, pkgs, lib, ... }:

{
  services.fieldpoc = {
    enable = true;
    dhcp = {
      enable = true;
      interface = "vlan132";
      subnet = "10.42.132.0/24";
      pool = "10.42.132.200 - 10.42.132.250";
      router = "10.42.132.1";
      dnsServers = "10.42.10.8";
      omm = "10.42.132.2";
      reservations = [
        {
          name = "omm";
          macAddress = "AA:C3:A9:26:1F:77";
          ipAddress = "10.42.132.2";
        }
        {
          name = "rfp-01";
          macAddress = "00:30:42:1B:8C:7A";
          ipAddress = "10.42.132.11";
        }
      ];
    };
  };

  services.yate.config = {
    accfile.dialout = {
      enabled = "yes";
      protocol = "sip";
      username = "yate";
      password = "yate";
      registrar = "yate-dialup.bula22.de";
    };
    regexroute = "[default]
\${username}^$=-;error=noauth
^yate$=goto dialin
^.*$=line/\\0;line=dialout

[dialin]
\${sip_x-called}^.*$=lateroute/\\1";
  };
}
